org.apache.poi.xssf.eventusermodel

## Class XSSFReader.SheetIterator

- java.lang.Object
- - org.apache.poi.xssf.eventusermodel.XSSFReader.SheetIterator

- All Implemented Interfaces:
    java.util.Iterator<java.io.InputStream>
  Direct Known Subclasses:
    XSSFBReader.SheetIterator
  Enclosing class:
    XSSFReader

      public static class XSSFReader.SheetIterator
      extends java.lang.Object
      implements java.util.Iterator<java.io.InputStream>

  Iterator over sheet data.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<XSSFShape>` | `getShapes()` Returns the shapes associated with this sheet, an empty list or null if there is an exception
    `CommentsTable` | `getSheetComments()` Returns the comments associated with this sheet, or null if there aren't any
    `java.lang.String` | `getSheetName()` Returns name of the current sheet
    `PackagePart` | `getSheetPart()`
    `boolean` | `hasNext()` Returns `true` if the iteration has more elements.
    `java.io.InputStream` | `next()` Returns input stream of the next sheet in the iteration
    `void` | `remove()` We're read only, so remove isn't supported

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Returns `true` if the iteration has more elements.
      Specified by:
        `hasNext` in interface `java.util.Iterator<java.io.InputStream>`
      Returns:
        `true` if the iterator has more elements.

    - #### next

          public java.io.InputStream next()

      Returns input stream of the next sheet in the iteration
      Specified by:
        `next` in interface `java.util.Iterator<java.io.InputStream>`
      Returns:
        input stream of the next sheet in the iteration

    - #### getSheetName

          public java.lang.String getSheetName()

      Returns name of the current sheet
      Returns:
        name of the current sheet

    - #### getSheetComments

          public CommentsTable getSheetComments()

      Returns the comments associated with this sheet, or null if there aren't any

    - #### getShapes

          public java.util.List<XSSFShape> getShapes()

      Returns the shapes associated with this sheet, an empty list or null if there is an exception

    - #### getSheetPart

          public PackagePart getSheetPart()

    - #### remove

          public void remove()

      We're read only, so remove isn't supported
      Specified by:
        `remove` in interface `java.util.Iterator<java.io.InputStream>`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.